#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kan-extensions
version:              5.2.3
visibility:           public
id:                   kan-extensions-5.2.3-FMXZtr1DVRo7dJRNwY0Wpm
key:                  kan-extensions-5.2.3-FMXZtr1DVRo7dJRNwY0Wpm
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  e90c92e866fb9246ba228195ccb61b02
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-9.0.1/site-local/kan-extensions-5.2.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/kan-extensions-5.2.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/kan-extensions-5.2.3
hs-libraries:         HSkan-extensions-5.2.3-FMXZtr1DVRo7dJRNwY0Wpm
includes:             kan-extensions-common.h
depends:
    adjunctions-4.4-2piywKjNHJ4Gj1YXDDxx7I array-0.5.4.0 base-4.15.0.0
    comonad-5.0.8-3pYj1AnsvAsDKyxRyjhP3v containers-0.6.4.1
    contravariant-1.5.5-1Tz7FaRP9yoKqkcBKkQ76A
    distributive-0.6.2.1-gMkXpOycpm4CH4vVEGKxs
    free-5.1.7-5NXrOfwp4iwGUFb8u6BCYc
    invariant-0.5.4-K9Jy9UWYDsG2HlDvThY4Ur mtl-2.2.2
    profunctors-5.6.2-77WFDmkzO4n7V60IuSndG6
    semigroupoids-5.3.6-LADIMz8xkGPAdgoMrSWJh7
    tagged-0.8.6.1-FL843C40q4d1DeuwYADr25 transformers-0.5.6.2
    transformers-compat-0.7.1-27E2wCklav6CMkj1Ns7rzE

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

